# $Revision: 1.46 $, $Date: 2012/02/17 09:22:23 $
Summary:	An interactive process viewer
Summary(hu.UTF-8):	Egy interaktív processz megjelenítő
Summary(pl.UTF-8):	Interaktywna przeglądarka procesów
Name:		htop
Version:	1.0.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/htop/%{name}-%{version}.tar.gz
# Source0-md5:	d3b80d905a6bff03f13896870787f901
Patch0:		%{name}-desktop.patch
URL:		http://htop.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gcc >= 5:3.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
htop is an interactive text-mode process viewer for Linux. It aims to
be a better 'top'.

%description -l hu.UTF-8
htop egy interaktív szöveges módú processz megjelenítő Linuxra.
Lényegében egy jobb 'top' szeretne lenni.

%description -l pl.UTF-8
htop jest interaktywną, tekstową przeglądarką procesów dla Linuksa.
Jej celem jest bycie lepszą odmianą programu 'top'.

%prep
%setup -q
%patch0 -p1

# don't require /proc at build time
sed '/^AC_CHECK_FILE($PROCDIR)/d' -i configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} $(pkg-config --cflags ncursesw)"
LDFLAGS="%{rpmldflags}"
%configure \
	--enable-cgroup \
	--enable-openvz \
	--enable-taskstats \
	--enable-unicode \
	--enable-vserver
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/htop
%{_desktopdir}/htop.desktop
%{_pixmapsdir}/htop.png
%{_mandir}/man1/htop.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: htop.spec,v $
Revision 1.46  2012/02/17 09:22:23  uzsolt
- 1.0.1

Revision 1.45  2012/01/31 11:10:24  lisu
- no more separated libtinfo(w)

Revision 1.44  2011/12/03 11:14:23  adamg
- enable cgroup, taskstats; release 2

Revision 1.43  2011/11/21 16:06:44  uzsolt
- 1.0
- drop patch2

Revision 1.42  2011/09/01 07:43:35  arekm
- release 2

Revision 1.41  2011/01/06 23:29:59  sparky
- don't require /proc at build time
- BR: python, python-modules

Revision 1.40  2010/11/28 17:51:12  qboosh
- use rpmcppflags adn rpmldflags

Revision 1.39  2010/11/28 10:17:05  adamg
- updated to 0.9

Revision 1.38  2010/06/05 19:17:29  pawelz
- buildfix: append -ltinfow to LDFLAGS
- unified SF download URL

Revision 1.37  2009/06/23 15:11:48  paszczus
- updated to 0.8.3

Revision 1.36  2009/06/02 15:24:57  uzsolt
- 0.8.2
- rel 1
- patch1 is unneeded (applied in source)

Revision 1.35  2009/02/19 19:32:15  arekm
- rel 5; use wide ncurses includes (colors are back)

Revision 1.34  2009/02/18 20:10:57  arekm
- release 4

Revision 1.33  2008/12/18 11:11:14  pluto
- add field-titles.patch, release 3.

Revision 1.32  2008/11/20 01:17:28  sls
- added nonprint.patch
- rel. 2 (fixes CVE-2008-5076)

Revision 1.31  2008/09/24 11:36:31  paszczus
- enable Vserver and unicode support by default

Revision 1.30  2008/09/23 18:08:47  uzsolt
- up to 0.8.1
- hungarian summary and description

Revision 1.29  2008/06/20 22:10:20  megabajt
- updated to 0.8

Revision 1.28  2007/11/24 08:27:05  twittner
- up to 0.7

Revision 1.27  2007-06-19 16:43:05  rotom
- up to 0.6.6

Revision 1.26  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.24  2006/11/30 09:17:49  paszczus
- updated to 0.6.5

Revision 1.23  2006/10/07 10:09:13  qboosh
- call autoheader and automake; ac version
- BR: gcc 3.0 (C99 used)

Revision 1.22  2006/10/04 23:37:19  charles
- updated to 0.6.4

Revision 1.21  2006/09/22 10:00:02  pluto
- += aclocal.

Revision 1.20  2006/09/19 08:34:34  piti
- URL corrected

Revision 1.19  2006/09/19 08:10:44  piti
- up to 0.6.3. Thanks to Piotr Michoński: pi3ter [na] wmid [dot] amu [dot] edu [dot] pl>

Revision 1.18  2006/08/25 12:41:21  havner
- desktop patch
- pl

Revision 1.17  2006/05/20 04:42:13  charles
- updated to 0.6.2

Revision 1.16  2006/05/10 05:11:43  ankry
- just GPL

Revision 1.15  2006/05/10 04:26:38  charles
- updated to 0.6.1
- updated %files

Revision 1.14  2006/01/12 10:05:49  darekr
- updated to 0.6

Revision 1.13  2005/11/03 02:08:01  charles
- updated to 0.5.4

Revision 1.12  2005/09/20 15:06:20  darekr
- GPL v2

Revision 1.11  2005/09/20 14:12:00  charles
- updated to 0.5.3
- removed -home_etc.patch (already applied)

Revision 1.10  2005/06/09 16:01:28  romke
- added HOME_ETC support,
- release 2, STBR

Revision 1.9  2005/05/16 20:27:35  paszczus
- updated to 0.5.2 ; STBR

Revision 1.8  2005/04/09 07:40:23  paszczus
- updated to 0.5.1

Revision 1.7  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.6  2004/11/28 15:13:37  yogib
- updated to 0.5

Revision 1.5  2004/10/29 14:04:43  paladine
- spelling fixes, unifications

Revision 1.4  2004/08/31 20:08:29  yogib
- updated to 0.4.1

Revision 1.3  2004/08/22 12:39:46  yogib
- updated to 0.4

Revision 1.2  2004/06/20 10:28:41  yogib
- updated to 0.3.3

Revision 1.1  2004/06/10 09:59:43  yogib
- initial version

